
#ifndef WDT_H
#define WDT_H

// Simple Library for Watchdog
// ---------------------------

// Initialise watchdog using 1KHz clock
//  To prevent overwriting, only a single write to the COPC register possible
//  
void wdt_1sec() ; // 1024ms, not windowed, DEFAULT
void wdt_256ms(); // 256ms, not windowed
void wdt_32ms();  // 32ms, not windowed  

// Kick (feed, reload) our watchdog timer
void wdt_kick_all(); // full sequence
void wdt_kickA();    // first part
void wdt_kickB();    // second part

#endif